summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-rpg/grimrock
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-rpg/grimrock')
-rw-r--r--games-rpg/grimrock/Manifest1
-rw-r--r--games-rpg/grimrock/grimrock-20130515.ebuild124
-rw-r--r--games-rpg/grimrock/metadata.xml9
3 files changed, 134 insertions, 0 deletions
diff --git a/games-rpg/grimrock/Manifest b/games-rpg/grimrock/Manifest
new file mode 100644
index 00000000000..cbdc76e9b94
--- /dev/null
+++ b/games-rpg/grimrock/Manifest
@@ -0,0 +1 @@
+DIST LegendOfGrimrock-Linux-2013-05-15.sh 316846010 SHA256 005066be6ce12ba342e499369070113c6b66a9bea03c6ecb1e5fd0758eb0c39d SHA512 e4907ddfba9a6923f81f188d1452a1bf37e4bbaab4fb9b4befabe167b5159d35acd6c1939b98dd66e3a8f96775d12703206432f60a86c7b4d070acc3a9392f9c WHIRLPOOL a7a5c70c6622737f9904962b248578261137b0c098e7175e309d3470b798b7297dc8aeb42e36b00f809c20f5f105fdfeb75edecca33e94f0d06650f564f02487
diff --git a/games-rpg/grimrock/grimrock-20130515.ebuild b/games-rpg/grimrock/grimrock-20130515.ebuild
new file mode 100644
index 00000000000..595eaef3748
--- /dev/null
+++ b/games-rpg/grimrock/grimrock-20130515.ebuild
@@ -0,0 +1,124 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils multilib gnome2-utils unpacker games
+
+TIMESTAMP="${PV:0:4}-${PV:4:2}-${PV:6:2}"
+MY_PN="Grimrock"
+DESCRIPTION="Legend of Grimrock: The Ultimate dungeon crawling RPG + modding engine"
+HOMEPAGE="http://www.grimrock.net/"
+SRC_URI="LegendOfGrimrock-Linux-${TIMESTAMP}.sh"
+
+SLOT="0"
+LICENSE="all-rights-reserved"
+KEYWORDS="-* amd64 x86"
+IUSE="bundled-libs"
+RESTRICT="fetch bindist splitdebug"
+
+QA_PREBUILT="${GAMES_PREFIX_OPT}/${PN}/${MY_PN}.bin.*
+ ${GAMES_PREFIX_OPT}/${PN}/lib.*"
+
+RDEPEND="
+ app-arch/bzip2
+ media-libs/freetype:2
+ media-libs/ilmbase
+ media-libs/lcms
+ =media-libs/libpng-1.6*
+ media-libs/libraw
+ media-libs/jasper
+ media-libs/openexr
+ media-libs/openjpeg:0
+ media-libs/tiff
+ sys-libs/zlib
+ virtual/jpeg:62
+ virtual/opengl
+ x11-libs/libX11
+ x11-libs/libXau
+ x11-libs/libxcb
+ x11-libs/libXdmcp
+ x11-libs/libXext
+ !bundled-libs? (
+ media-libs/freeimage[png]
+ media-libs/libogg
+ media-libs/libvorbis
+ media-libs/openal
+ sys-libs/zlib[minizip]
+ )"
+DEPEND="app-arch/xz-utils"
+
+S=${WORKDIR}
+
+pkg_nofetch() {
+ einfo "Please buy & download ${SRC_URI} from:"
+ einfo " ${HOMEPAGE}"
+ einfo "and move it to ${DISTDIR}"
+ einfo
+}
+
+src_unpack() {
+ use amd64 && myarch=x86_64 || myarch=x86
+
+ local archivelist=(
+ subarch
+ instarchive_all
+ instarchive_linux_${myarch}
+ deps/SDL2/SDL2_files_linux_${myarch}
+ deps/FreeImage/FreeImage_files_linux_${myarch}
+ deps/libogg/libogg_files_linux_${myarch}
+ deps/minizip/minizip_files_linux_${myarch}
+ deps/openal/openal_files_linux_${myarch}
+ deps/vorbis/vorbis_files_linux_${myarch}
+ )
+
+ unpack_makeself
+
+ local i
+ for i in $(if use bundled-libs ; then echo ${archivelist[@]} ; else echo ${archivelist[@]:0:4} ; fi) ; do
+ mv "${i}" "${i}.tar.xz" || die
+ unpack ./"${i}.tar.xz"
+ done
+}
+
+src_install() {
+ local dir=${GAMES_PREFIX_OPT}/${PN}
+
+ insinto "${dir}"
+ doins ${PN}.{dat,png}
+
+ exeinto "${dir}"
+ doexe "${MY_PN}.bin.${myarch}"
+
+ exeinto "${dir}"/lib
+ doexe $(get_libdir)/libSDL2-2.0.so.0
+ use bundled-libs && {
+ doexe $(get_libdir)/lib{freeimage.so.3,minizip.so.1,ogg.so.0,openal.so.1,vorbisfile.so.3,vorbis.so.0}
+ }
+
+ games_make_wrapper "${PN}" "./${MY_PN}.bin.${myarch}" "${dir}" "${dir}"/lib
+ doicon -s 256 ${PN}.png
+ newicon -s 64 ${MY_PN}.png ${PN}.png
+ make_desktop_entry "${PN}" "Legend of ${MY_PN}"
+
+ dodoc README.linux
+ prepgamesdirs
+}
+
+pkg_preinst() {
+ games_pkg_preinst
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+
+ elog "If you are using opensource drivers you should consider installing:"
+ elog " media-libs/libtxc_dxtn"
+
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
diff --git a/games-rpg/grimrock/metadata.xml b/games-rpg/grimrock/metadata.xml
new file mode 100644
index 00000000000..c5c7aae21ba
--- /dev/null
+++ b/games-rpg/grimrock/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>games</herd>
+ <use>
+ <flag name='bundled-libs'>Use bundled libraries.</flag>
+ </use>
+</pkgmetadata>
+